Package com.independentsoft.office.diagrams

# Class Point

java.lang.Object
com.independentsoft.office.diagrams.Point

public class Point extends Object
The Class Point.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Point()`
  Instantiates a new point.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Point`
  `clone()`
  `String`
  `getConnectionID()`
  Gets the connection id.
  `DiagramShapeProperties`
  `getDiagramShapeProperties()`
  Gets the diagram shape properties.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`dgm:extLst`).
  `String`
  `getModelID()`
  Gets the model id.
  `PropertySet`
  `getPropertySet()`
  Gets the property set.
  `TextBody`
  `getTextBody()`
  Gets the text body.
  `PointType`
  `getType()`
  Gets the type.
  `void`
  `setConnectionID​(String connectionID)`
  Sets the connection id.
  `void`
  `setDiagramShapeProperties​(DiagramShapeProperties shapeProperties)`
  Sets the diagram shape properties.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`dgm:extLst`).
  `void`
  `setModelID​(String modelID)`
  Sets the model id.
  `void`
  `setPropertySet​(PropertySet propertySet)`
  Sets the property set.
  `void`
  `setTextBody​(TextBody textBody)`
  Sets the text body.
  `void`
  `setType​(PointType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Point

    public Point()
    Instantiates a new point.

- ## Method Details

  - ### clone

    public Point clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`dgm:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`dgm:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getPropertySet

    public PropertySet getPropertySet()
    Gets the property set.
    Returns:
      the property set

  - ### setPropertySet

    public void setPropertySet​(PropertySet propertySet)
    Sets the property set.
    Parameters:
      `propertySet` - the new property set

  - ### getDiagramShapeProperties

    public DiagramShapeProperties getDiagramShapeProperties()
    Gets the diagram shape properties.
    Returns:
      the diagram shape properties

  - ### setDiagramShapeProperties

    public void setDiagramShapeProperties​(DiagramShapeProperties shapeProperties)
    Sets the diagram shape properties.
    Parameters:
      `shapeProperties` - the new diagram shape properties

  - ### getTextBody

    public TextBody getTextBody()
    Gets the text body.
    Returns:
      the text body

  - ### setTextBody

    public void setTextBody​(TextBody textBody)
    Sets the text body.
    Parameters:
      `textBody` - the new text body

  - ### getConnectionID

    public String getConnectionID()
    Gets the connection id.
    Returns:
      the connection id

  - ### setConnectionID

    public void setConnectionID​(String connectionID)
    Sets the connection id.
    Parameters:
      `connectionID` - the new connection id

  - ### getModelID

    public String getModelID()
    Gets the model id.
    Returns:
      the model id

  - ### setModelID

    public void setModelID​(String modelID)
    Sets the model id.
    Parameters:
      `modelID` - the new model id

  - ### getType

    public PointType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(PointType type)
    Sets the type.
    Parameters:
      `type` - the new type